### Virtual Method

# Foundry ConfigProvider dup_name

#### Declaration [src]

    char*
    dup_name (
      FoundryConfigProvider* self
    )

#### Description [src]

Gets a name for the provider that is expected to be displayed to users such as “Flatpak”.

#### Return value

Type: `char*`

The name of the provider.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.